Bug 1125320 - Binary hot deploy for jbossews cartridge ends with 404
Summary: Binary hot deploy for jbossews cartridge ends with 404
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Image
Version: 2.x
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Maciej Szulik
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 14:53 UTC by Maciej Szulik
Modified: 2015-05-15 00:44 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-10 00:50:10 UTC


Attachments (Terms of Use)

Description Maciej Szulik 2014-07-31 14:53:23 UTC
Description of problem:
When doing hot binary deploy for jbossews-2.0 cartridge the application ends in 404.


How reproducible:
always


Steps to Reproduce:
1. create jbossews-2.0 app:
    $ rhc app create ewspetstore jbossews-2.0                                                                                                

2. configure binary deployment:
    $ rhc app configure ewspetstore --deployment-type binary                                                                                  

3. deploy binary with --hot-deploy switch:
    $ rhc app deploy -a ewspetstore --hot-deploy app_archive.tar.gz                                                                          


Actual results:
Deployment ends with 'SUCCESS' but reaching app gives you 404.


Expected results:
Application should be available.

Comment 1 Meng Bo 2014-08-01 03:33:32 UTC
I have tried with a download war package, my result is after hot deploy the binary, the changes does not take effect and still show the default home page.

After a app restart, it will use the deployed war package when visit.

Comment 2 Maciej Szulik 2014-08-01 14:28:56 UTC
I'm currently working on this...

Comment 3 Maciej Szulik 2014-08-21 13:08:11 UTC
The bug was fixed with this PR which is already merged to master:

https://github.com/openshift/origin-server/pull/5683

Comment 4 chunchen 2014-08-22 03:31:23 UTC
It's fixed, verified on devenv_stage_968 and devenv_5107, please refer to the following results:

1. Create jbossews-2.0 app
$ rhc app create ewspetstore jbossews-2.0

2. Configure binary deployment
$ rhc app configure ewspetstore --deployment-type binary

3. Generate app archive
rhc snapshot save ewspetstore --deployment

4. Deploy binary with --hot-deploy switch
$ rhc app deploy -a ewspetstore --hot-deploy ewspetstore.tar.gz            

5. Access this app via browser

Results:
at step 5: the app can be accessed.

Comment 5 chunchen 2014-08-22 07:53:26 UTC
Do more properly test, please refer to the following results:

1. Create jbossews-2.0 app
$ rhc app create ewspetstore jbossews-2.0

2. Configure binary deployment
$ rhc app configure ewspetstore --deployment-type binary

3. Generate app archive
$ rhc snapshot save ewspetstore --deployment -f ews_archive.tar.gz

4. Remove all the openshift related stuff from the artifact
after removing, the content of artifact are like below:
$ tar tvzf ews_archive.tar.gz 
drwxr-x--- chunchen/chunchen 0 2014-08-22 14:55 build-dependencies/
drwxr-xr-x chunchen/chunchen 0 2014-08-22 14:55 build-dependencies/.m2/
drwxr-x--- chunchen/chunchen 0 2014-08-22 14:55 dependencies/
drwxr-xr-x chunchen/chunchen 0 2014-08-22 14:55 dependencies/jbossews/
drwxr-xr-x chunchen/chunchen 0 2014-08-22 15:07 dependencies/jbossews/webapps/
-rw-r--r-- chunchen/chunchen 20461 2014-08-22 14:55 dependencies/jbossews/webapps/ROOT.war

5. Deploy binary with --hot-deploy switch
$ rhc app deploy -a ewspetstore --hot-deploy ews_archive.tar.gz            

6. Access this app via browser

Results:
at step 6: the app can be accessed.


Note You need to log in before you can comment on or make changes to this bug.